For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Location by ID

Retrieves the information about the location specified by its ID. The 'locationId' consists of the three-digit identifier of the city according to the IATA code.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
regionIdstringRequired

The unique ID of the region.

locationIdstringRequired

The unique ID of the location.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
200

Successful operation

application/json
get/locations/{regionId}/{locationId}
GET /cloudapi/v6/locations/{regionId}/{locationId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
  "type": "location",
  "href": "https://api.ionos.com/cloudapi/v6/locations/de",
  "metadata": {
    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
    "createdDate": "2015-12-04T14:34:09.809Z",
    "createdBy": "user@example.com",
    "createdByUserId": "user@example.com",
    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
    "lastModifiedBy": "user@example.com",
    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
    "state": "AVAILABLE"
  },
  "properties": {
    "name": "berlin",
    "metroRegion": "de/txl is the metro region, to which the datacenter location de/txl/1 belongs to",
    "features": [
      "cloud-init-private-image",
      "ssd",
      "vnf-nat"
    ],
    "imageAliases": [
      "windows:2012r2_iso",
      "windows:2019_iso",
      "ubuntu:18.04_iso"
    ],
    "cpuArchitecture": [
      {
        "cpuFamily": "INTEL_ICELAKE",
        "maxCores": 62,
        "maxRam": 245760,
        "vendor": "AuthenticAMD",
        "enabledFeatures": [
          "SEV-SNP"
        ]
      }
    ],
    "gpuArchitecture": [
      {
        "vendor": "NVIDIA",
        "model": "A100"
      }
    ]
  }
}

Last updated

Was this helpful?